Package org.eclipse.jgit.revwalk.filter

## Class RevFlagFilter

- java.lang.Object
- - org.eclipse.jgit.revwalk.filter.RevFilter
  - - org.eclipse.jgit.revwalk.filter.RevFlagFilter

    public abstract class RevFlagFilter
    extends RevFilter

Matches only commits with some/all RevFlags already set.

### Field Summary

### Fields inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`ALL, MERGE_BASE, NO_MERGES, NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RevFilter` `clone()` Clone this revision filter, including its parameters.
`static RevFilter` `has​(RevFlag a)` Create a new filter that tests for a single flag.
`static RevFilter` `hasAll​(RevFlag... a)` Create a new filter that tests all flags in a set.
`static RevFilter` `hasAll​(RevFlagSet a)` Create a new filter that tests all flags in a set.
`static RevFilter` `hasAny​(RevFlag... a)` Create a new filter that tests for any flag in a set.
`static RevFilter` `hasAny​(RevFlagSet a)` Create a new filter that tests for any flag in a set.
`String` `toString()`

### Methods inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`include, negate, requiresCommitBody`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### has

    public static RevFilter has​(RevFlag a)

Create a new filter that tests for a single flag.

Parameters:
  `a` - the flag to test.
Returns:
  filter that selects only commits with flag `a`.

#### hasAll

    public static RevFilter hasAll​(RevFlag... a)

Create a new filter that tests all flags in a set.

Parameters:
  `a` - set of flags to test.
Returns:
  filter that selects only commits with all flags in `a`.

#### hasAll

    public static RevFilter hasAll​(RevFlagSet a)

Create a new filter that tests all flags in a set.

Parameters:
  `a` - set of flags to test.
Returns:
  filter that selects only commits with all flags in `a`.

#### hasAny

    public static RevFilter hasAny​(RevFlag... a)

Create a new filter that tests for any flag in a set.

Parameters:
  `a` - set of flags to test.
Returns:
  filter that selects only commits with any flag in `a`.

#### hasAny

    public static RevFilter hasAny​(RevFlagSet a)

Create a new filter that tests for any flag in a set.

Parameters:
  `a` - set of flags to test.
Returns:
  filter that selects only commits with any flag in `a`.

#### clone

    public RevFilter clone()

Description copied from class: `RevFilter`
Clone this revision filter, including its parameters.

This is a deep clone. If this filter embeds objects or other filters it must also clone those, to ensure the instances do not share mutable data.

Specified by:
  `clone` in class `RevFilter`
Returns:
  another copy of this filter, suitable for another thread.

#### toString

    public String toString()

Overrides:
  `toString` in class `RevFilter`